import type { NobjcObject } from "objc-js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSDictionary } from "../Foundation/NSDictionary.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _NSURL } from "../Foundation/NSURL.js";
import type { _MLModel } from "../CoreML/MLModel.js";
import type { _NLModelConfiguration } from "./NLModelConfiguration.js";
export declare class _NLModel extends _NSObject {
    static alloc(): _NLModel;
    static new(): _NLModel;
    init(): _NLModel;
    static modelWithContentsOfURL$error$(url: _NSURL, error: NobjcObject | null): _NLModel | null;
    static modelWithMLModel$error$(mlModel: _MLModel, error: NobjcObject | null): _NLModel | null;
    /**
     * For inference purposes, a model will usually be attached to an NLTagger via -setModels:forTagScheme:, and the tagger will then take care of calling the model to produce tags as appropriate. However, it is also possible to use a model to make an individual prediction, either of the label for a given pieces of text (for a classifier model), or of the labels for a given sequence of tokens (for a sequence model). In addition, it is possible to obtain multiple hypotheses for a given label with associated probability scores.
     */
    predictedLabelForString$(string_: _NSString): _NSString | null;
    predictedLabelsForTokens$(tokens: _NSArray): _NSArray;
    predictedLabelHypothesesForString$maximumCount$(string_: _NSString, maximumCount: number): _NSDictionary;
    predictedLabelHypothesesForTokens$maximumCount$(tokens: _NSArray, maximumCount: number): _NSArray;
    configuration(): _NLModelConfiguration;
}
